> ## Documentation Index
> Fetch the complete documentation index at: https://docs.epay123.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 结算发起

> 商户通过此接口发起结算请求，将可用余额结算至已申报的地址。



## OpenAPI

````yaml docs/api/cn/openapi.json post /api/channelbiz/cbcoinpay/settleRequest
openapi: 3.0.1
info:
  title: 支付Api接口文档
  contact:
    name: epay123
  license:
    name: Apache 2.0
    url: https://docs.epay123.net
  version: 1.0.1
servers:
  - url: https://sandbox-pay.epay123.net
    description: Generated server url
security: []
paths:
  /api/channelbiz/cbcoinpay/settleRequest:
    post:
      tags:
        - 钱包结算接口
      summary: 结算发起
      description: 商户通过此接口发起结算请求，将可用余额结算至已申报的地址。
      operationId: settleRequest
      requestBody:
        description: 结算发起请求参数
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplyCoinSettleRQ'
        required: true
      responses:
        '200':
          description: 成功返回结果
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResApplyCoinSettleRS'
components:
  schemas:
    ApplyCoinSettleRQ:
      required:
        - amount
        - appId
        - currency
        - mchNo
        - payoutChannel
        - reqTime
        - requestId
        - sign
        - signType
        - tokenId
        - version
      type: object
      properties:
        version:
          type: string
          description: 版本号
          example: 1.0.1
        signType:
          type: string
          description: 签名类型，目前只支持MD5方式
          example: MD5
        sign:
          type: string
          description: 签名值，详见签名算法
          example: xxxxxx
        reqTime:
          type: string
          description: 时间戳,13位时间戳
          example: '1622016572190'
        mchNo:
          type: string
          description: 商户号
          example: M1234567890
        appId:
          type: string
          description: 商户应用ID
          example: 88808634c46ff1a7807888888
        requestId:
          type: string
          description: 请求ID
          example: BIZ1234567890
        notifyUrl:
          type: string
          description: 回调地址
          example: https://xxx/notify
        amount:
          type: integer
          description: 加密货币/法币金额,单位分
          format: int64
          example: 1000
        tokenId:
          type: string
          description: 结算币种ID
          example: TRON_USDT
        payoutChannel:
          type: string
          description: 结算提现方式：加密提币Crypto/法币出金OffRamp，API方式暂且仅支持Crypto
          example: Crypto
        addrServerRequestId:
          type: string
          description: 加密货币申请ID, Crypto结算方式时与address必传其一
          example: ADDR1234567890
        address:
          type: string
          description: 提币地址, Crypto结算方式时与addrServerRequestId必传其一
          example: TX1234567890
        bankServerRequestId:
          type: string
          description: 法币银行申请ID, OffRamp结算方式时bankServerRequestId与bankName+bankAccount必传其一
          example: BANK1234567890
        bankName:
          type: string
          description: 法币银行, OffRamp结算方式时bankServerRequestId与bankName+bankAccount必传其一
          example: Bank Of US
        bankAccount:
          type: string
          description: 法币银行账号, OffRamp结算方式时bankServerRequestId与bankName+bankAccount必传其一
          example: '1234567890'
        currency:
          type: string
          description: 法币,目前仅支持USD
          example: USD
    ApiResApplyCoinSettleRS:
      type: object
      properties:
        code:
          title: code
          type: integer
          description: 业务响应码
          format: int32
          example: 200
        msg:
          title: msg
          type: string
          description: 业务响应信息
          example: 成功
        data:
          $ref: '#/components/schemas/ApplyCoinSettleRS'
        sign:
          title: sign
          type: string
          description: 签名值
    ApplyCoinSettleRS:
      title: data
      required:
        - serverRequestId
        - status
      type: object
      properties:
        serverRequestId:
          type: string
          description: 平台申请ID
          example: '1234567890'
        status:
          type: integer
          description: '状态: 0-处理中, 1-正常, 2-失败'
          format: int32
          example: 0
      description: 数据对象

````